From 33515521e30870a4eeb2e1b763a8138cd08e1da6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Toque?= <xilasz@gmail.com>
Date: Thu, 24 May 2012 22:14:11 +0200
Subject: [PATCH] freetype: add android default font

---
 modules/text_renderer/freetype.c |    3 +++
 1 file changed, 3 insertions(+)

diff --git a/modules/text_renderer/freetype.c b/modules/text_renderer/freetype.c
index b3b337d..cb72370 100644
--- a/modules/text_renderer/freetype.c
+++ b/modules/text_renderer/freetype.c
@@ -57,6 +57,9 @@
 #elif defined( HAVE_MAEMO )
 # define DEFAULT_FONT_FILE "/usr/share/fonts/nokia/nosnb.ttf"
 # define DEFAULT_FAMILY "Nokia Sans Bold"
+#elif defined( __ANDROID__ )
+# define DEFAULT_FONT_FILE "/system/fonts/DroidSans-Bold.ttf"
+# define DEFAULT_FAMILY "Droid Sans Bold"
 #else
 # define DEFAULT_FONT_FILE "/usr/share/fonts/truetype/freefont/FreeSerifBold.ttf"
 # define DEFAULT_FAMILY "Serif Bold"
-- 
1.7.9.5

